#ifndef I_INP
#define I_INP

extern void set_pasthru(int reset);
extern void stop_input(void);
extern void cleanup_input(void);

extern void init_keybdio(void);
extern void start_keybdio(void);

extern void find_input_prompt(int flag);
extern void inp_backward_character(void);
extern void inp_forward_history(void);
extern void inp_backward_history(void);
extern void inp_beginning_of_line(void);
extern void inp_forward_character(void);
extern int inp_backspace(void);
extern void inp_insert_char(char key);
extern char *read_input(char input[MAXLEN], int maxlen, char *pr);
extern int backspace(void);
extern int inp_eol(void), inp_toggle_insert_mode(void);
extern int inp_send_line(void);
extern int inp_delete_current_char(void);
extern int inp_delete_to_bol(void);

#endif
